Bug 36580 - FILEOPEN Opening attached xls file crashes due to unhandled exception in libcdr
Summary: FILEOPEN Opening attached xls file crashes due to unhandled exception in libcdr
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.0.0 target:3.6.5 target:4.3....
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-25 04:59 UTC by jkonecny
Modified: 2017-06-04 04:14 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
file (595.00 KB, application/vnd.ms-excel)
2011-04-25 05:01 UTC, jkonecny
Details
bt + console logs on master (25.51 KB, text/plain)
2013-01-09 21:56 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jkonecny 2011-04-25 04:59:44 UTC
Attached is a file that cannot be opened with LibreOffice 3.3.  It appears to have been made with some version of excel.  OpenOffice 3.3 is able to open it.
Comment 1 jkonecny 2011-04-25 05:01:06 UTC
Created attachment 46049 [details]
file
Comment 2 Rainer Bielefeld Retired 2011-04-25 08:02:09 UTC
NOT reproducible with reporter's sample document and "LibreOffice 3.3.2  – WIN7  Home Premium  (64bit) German UI [OOO330m19 (Build:202 / tag 3.3.2.2)]". Doble click on file in WIN Explorer opens the document without problems

@jkonecny@rmtohio.com:
Please try current stable version 3.3.2 and contribute complete information concerning your OS, PC, LibO localization and other information what might be related to your problem due to <http://wiki.documentfoundation.org/BugReport> (especially BugReport Details).
Comment 3 gleppert 2011-04-25 11:23:28 UTC
Like Rainer already has said: LibreOffice Calc opens the file without problems on my system.

System: Ubuntu 10.4./Gnome,  LibreOffice 3.3.2 PPA, Intel 32Bit
Comment 4 Rainer Bielefeld Retired 2011-05-04 22:20:31 UTC
Closing Bug due to reporter's inactivity as WFM.

@reporter:
Please feel free to reopen this bug if you find out that the problem still exists with the current stable LibreOffice version and if you can contribute requested additional information due to <http://wiki.documentfoundation.org/BugReport> (especially BugReport Details)!
Comment 5 Björn Michaelsen 2011-12-22 05:53:53 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.
Comment 6 jkonecny 2012-11-02 12:54:18 UTC
I just checked on 3.6.3.2 and this crashed each time trying to open on multiple machines.  One was a fresh install Win7x64, another was WinXP32.
Comment 7 Julien Nabet 2013-01-09 21:56:27 UTC
Created attachment 72755 [details]
bt + console logs on master

On pc Debian x86-64 with master sources updated today (commit c57906c8f614047a488eea6eb77c535bf90a889e), I reproduced the crash.
I attached bt + console logs

I reproduced a crash too with 3.6 sources updated some days ago)

In both cases, it was with a brand new LO profile
Comment 8 Julien Nabet 2013-01-09 22:00:32 UTC
Kohei/Markus/Eike: one for you?

I tested too on Win7 x64 and 3.6.4.3, I reproduced the crash too.
Comment 9 Timur 2013-01-15 14:19:15 UTC
I opened the file on Fedora 18 beta 686 with LO 3.6.3.2. (jkonecny reported a problem on Windows with this version), and on Windows XP 32bit with LO 3.5.6.2. 
I had a crash on Ubuntu x64 with LO 3.6.4.3 and Windows 7 64bit with LO 3.6.4.3.
Comment 10 Kohei Yoshida 2013-01-15 14:45:23 UTC
Adding Fridrich and Michael Stahl to CC.  It throws an uncaught exception (libcdr::EndOfStreamException) in libcdr during type detection.
Comment 11 Kohei Yoshida 2013-01-15 14:46:14 UTC
It doesn't crash with the most recent master build, just FYI.
Comment 12 Kohei Yoshida 2013-01-15 15:05:27 UTC
In theory this commit should have fixed this...
http://cgit.freedesktop.org/libreoffice/core/commit/?id=374f7465729c98f2cc8af72f876a8eab01d192a6
Comment 13 Kohei Yoshida 2013-01-15 15:45:02 UTC
The most recent 4.0 build no longer crashes with this document.  I'll close this as resolved.
Comment 14 Timur 2013-01-15 16:33:55 UTC
Please backport to 3.6.x.
Comment 15 Kohei Yoshida 2013-01-15 16:35:35 UTC
(In reply to comment #14)
> Please backport to 3.6.x.

I'll let Fridrich or Michael decide.
Comment 16 Michael Stahl (CIB) 2013-01-15 17:04:41 UTC
was already backported to libreoffice-3-6 branch,
commit 2a87fd704edfea351b238ef4103ae36927f2b860
Comment 17 Timur 2013-01-15 17:12:08 UTC
Thanks. You're lightning fast..
Comment 18 Commit Notification 2014-02-10 22:43:44 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b3621802219d3ad7d8eafbb9367903c9001a3602

fix crash during xls import, related fdo#36580



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2014-02-12 16:04:12 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=135a37bd7b5a1a50e3da9cc666402adbd348d025&h=libreoffice-4-2

fix crash during xls import, related fdo#36580


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 vihsa 2017-06-04 04:14:54 UTC
according to comment 13, verified, hence status change.
i also verified
Version: 5.5.0.0.alpha0+
Build ID: 066665644b398a882e6cded98af5bb060af41d76
TinderBox: Android-ARM@24-Bytemark-Hosting, Branch: Master, Time: 2017-06-01 00:30:43